# eric4.Plugins.WizardPlugins.FileDialogWizard.FileDialogWizardDialog

Module implementing the file dialog wizard dialog.

### Global Attributes

None

### Classes

FileDialogWizardDialog | Class implementing the color dialog wizard dialog.

### Functions

None

## FileDialogWizardDialog

Class implementing the color dialog wizard dialog.

It displays a dialog for entering the parameters for the QFileDialog code generator.

### Derived from

QDialog, Ui_FileDialogWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

FileDialogWizardDialog | Constructor
__getCode4 | Private method to get the source code for Qt4.
__toggleConfirmCheckBox | Private slot to enable/disable the confirmation check box.
__toggleGroupsAndTest | Private slot to enable/disable certain groups and the test button.
getCode | Public method to get the source code.
on_bTest_clicked | Private method to test the selected options.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.

### Static Methods

None

#### FileDialogWizardDialog (Constructor)

FileDialogWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### FileDialogWizardDialog.__getCode4

__getCode4(indLevel, indString)

Private method to get the source code for Qt4.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### FileDialogWizardDialog.__toggleConfirmCheckBox

__toggleConfirmCheckBox()

Private slot to enable/disable the confirmation check box.

#### FileDialogWizardDialog.__toggleGroupsAndTest

__toggleGroupsAndTest()

Private slot to enable/disable certain groups and the test button.

#### FileDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### FileDialogWizardDialog.on_bTest_clicked

on_bTest_clicked()

Private method to test the selected options.

#### FileDialogWizardDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

Up